<template>
  <div class="container">
    <p v-if="weekDayConfig?.dayName" class="day-name">{{ weekDayConfig.dayName }}</p>
    <img v-if="weekDayConfig?.iconUrl" :src="getImage(weekDayConfig.iconUrl)">
    <p v-if="weekDayConfig?.highTemp" class="high-temp">{{ weekDayConfig.highTemp }}ºC</p>
    <p v-if="weekDayConfig?.lowTemp" class="low-temp">{{ weekDayConfig.lowTemp }}ºC</p>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType } from 'vue';

import { getImage } from '@/lib/utils/processAssets';

import { WeekDay } from '../../interfaces/weather-report.interface';

export default defineComponent({
  props: { weekDayConfig: {} as PropType<WeekDay> },
  methods: {
    getImage(path: string): string {
      return getImage(path);
    },
  },
})
</script>

<style lang="scss" scoped>
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;

  @media only screen and (max-width: 550px) {
    justify-content: space-between;
    flex-direction: row;
    .day-name {
      width: 15%;
      text-align: left;
    }
  }
}

.high-temp {
  color: #FF0000;
  margin-top: 12px;
}

.low-temp {
  color: #00FFFF;
  margin-top: 4px;
}

img {
  width: 50px;
  height: 50px;
  filter: invert(100%) sepia(0%) saturate(2%) hue-rotate(96deg) brightness(107%) contrast(101%);
}
</style>
